Theme sections
List paginated section items
Pages through all items of one section for the caller’s country. The response is a two-item array: pagination details, then the page of items. Uses page-number pagination with page (default 1) and per_page (default 10). Narrow the items with filterable_types; an unknown type returns 400. order_by sorts only when filterable_types is exactly products. Returns 400 when the ID does not match a section of the company. Requires a user Bearer token with permission to view pages.
GET
/
api
/
sections
/
{id}
/
paginated_section_items
List paginated section items
curl --request GET \
--url https://api.fluid.app/api/sections/{id}/paginated_section_items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/sections/{id}/paginated_section_items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/sections/{id}/paginated_section_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/sections/{id}/paginated_section_items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/sections/{id}/paginated_section_items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/sections/{id}/paginated_section_items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/sections/{id}/paginated_section_items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"pagination": {
"current": 1,
"previous": null,
"next": 2,
"per_page": 2,
"pages": 6,
"count": 12
}
},
{
"items": [
{
"id": 90412,
"order": 1,
"pin_id": null,
"relateable_type": "Product",
"relateable": {
"id": 30117,
"title": "Dunder Mifflin 20lb Copy Paper",
"sku": "DM-20LB-CASE",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/products/20lb-copy-paper.jpg"
}
},
{
"id": 90413,
"order": 2,
"pin_id": null,
"relateable_type": "Medium",
"relateable": {
"id": 55210,
"title": "Why Dunder Mifflin Paper Still Wins",
"media_type": "video",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/paper-still-wins-poster.jpg"
}
}
]
}
]{
"message": "<string>"
}Query Parameters
⌘I
List paginated section items
curl --request GET \
--url https://api.fluid.app/api/sections/{id}/paginated_section_items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/sections/{id}/paginated_section_items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/sections/{id}/paginated_section_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/sections/{id}/paginated_section_items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/sections/{id}/paginated_section_items"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/sections/{id}/paginated_section_items")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/sections/{id}/paginated_section_items")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"pagination": {
"current": 1,
"previous": null,
"next": 2,
"per_page": 2,
"pages": 6,
"count": 12
}
},
{
"items": [
{
"id": 90412,
"order": 1,
"pin_id": null,
"relateable_type": "Product",
"relateable": {
"id": 30117,
"title": "Dunder Mifflin 20lb Copy Paper",
"sku": "DM-20LB-CASE",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/products/20lb-copy-paper.jpg"
}
},
{
"id": 90413,
"order": 2,
"pin_id": null,
"relateable_type": "Medium",
"relateable": {
"id": 55210,
"title": "Why Dunder Mifflin Paper Still Wins",
"media_type": "video",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/paper-still-wins-poster.jpg"
}
}
]
}
]{
"message": "<string>"
}